code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#! /bin/bash
# [:VIM_EVAL:]expand('%:t')[:END_EVAL:]
set -euo pipefail
readonly PROGNAME=$(basename "$0")
readonly PROGDIR=$(readlink -m "$(dirname "$0")")
readonly ARGS=("$@")
#readonly DIR=$(dirname "$(readlink -f "$0")")
#if [ -e "${DIR}" ]; then
# readonly WORK_DIR=$(mktemp -d -p "${DIR}")
#fi
#function inter... | gotmanyacc/dotfiles | vim/templates/skel.sh | Shell | gpl-3.0 | 453 |
#!/bin/bash
#FILE ipfs-add-my-hash.sh
#DATE 2020-06-06
set -euxo pipefail
HASH='ipfs/QmNm45RagXiktLp7C46rnFKsjGTNKatTRLfEM4BEKmeXsJ'
GW_LIST='/tmp/ipfs-gw.list'
OUTPUT='/tmp/ipfs-gw-hash.list'
for gw in $(cat ${GW_LIST}); do
URL="${gw}/${HASH}"
echo "$URL" |tee -a $OUTPUT
done
exit
| mdrights/Myscripts | os-opt/ipfs-add-my-hash.sh | Shell | gpl-3.0 | 297 |
#!/bin/bash
sudo echo 10 > /proc/sys/vm/dirty_ratio
sudo echo 5 > /proc/sys/vm/dirty_background_ratio
sudo echo 3000 > /proc/sys/vm/dirty_expire_centisecs
sudo echo 500 > /proc/sys/vm/dirty_writeback_centisecs
sudo echo 100 > /proc/sys/vm/vfs_cache_pressure
| dewtx29/linux_script | s/os/sysctl4.sh | Shell | gpl-3.0 | 258 |
#! /usr/bin/env bash
slice=/sys/fs/cgroup/cpuset/machine.slice
crm_cpus=$(/usr/sbin/crm node utilization $HOSTNAME show cpu|perl -ne '/value=(\d+)$/ && print $1')
server_cpus=$(grep -c ^proc /proc/cpuinfo)
server_cpus=$((server_cpus-1))
first_allowed_cpu=$(echo $server_cpus - $crm_cpus |bc)
/usr/bin/cluster_set_cp... | mgrzybek/ansible-ha-cluster | files/machine-slice-configuration.sh | Shell | gpl-3.0 | 521 |
lupdate CenGen.pro -ts cengen_ru.ts cengen_en.ts
linguist cengen_ru.ts
cp cengen_ru.qm ../cengen-build-desktop/
| mihailikus/cengen | tr.sh | Shell | gpl-3.0 | 113 |
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will ... | youbiteme/nexus-tools | uninstall.sh | Shell | gpl-3.0 | 1,476 |
#!/bin/sh
echo -n 'Preparing files...'
cd ..
rm -f kapow.desktop.in
cp kapow.desktop kapow.desktop.in
sed -e '/^Name\[/ d' \
-e '/^GenericName\[/ d' \
-e '/^Comment\[/ d' \
-e '/^Icon/ d' \
-e '/^Keywords/ d' \
-i kapow.desktop.in
rm -f kapow.appdata.xml.in
cp kapow.appdata.xml kapow.appdata.xml.in
sed -e '/p ... | gottcode/kapow | icons/po/update-pot.sh | Shell | gpl-3.0 | 774 |
#! /usr/bin/env bash
set -x
set -e
testdir=$(mktemp -d -t pijul-test.XXXXXXXXXX)
test ! -z $testdir
cd $testdir
mkdir a
cd a
$pijul init
echo saluton > file
echo malbão >> file
echo probolon >> file
$pijul add file
$pijul record -a --author "Jean-Paul" --name "L'existentialisme"
cd ..
$pijul get a b
cd b
echo sal... | bitemyapp/Pijul | tests/zombie.sh | Shell | gpl-3.0 | 789 |
python -m unittest discover tests -p "*_test.py"
| beslave/space-king | test.sh | Shell | gpl-3.0 | 49 |
#!/bin/bash
. PACKAGE
echo "Creating Plasmoid package: $NAME-$VERSION.plasmoid"
zip -r ../$NAME-$VERSION.plasmoid . -x@zip_excluded.lst
| tanghus/currency-converter-plasmoid | make_plasmoid_pkg.sh | Shell | gpl-3.0 | 136 |
#!/usr/bin/env bash
# -*- ENCODING: UTF-8 -*-
##
## @author Raúl Caro Pastorino
## @copyright Copyright © 2019 Raúl Caro Pastorino
## @license https://wwww.gnu.org/licenses/gpl.txt
## @email raul@fryntiz.dev
## @web https://fryntiz.es
## @gitlab https://gitlab.com/fryntiz
## @github https://... | fryntiz/preparar_entorno | Apps/pentesting.sh | Shell | gpl-3.0 | 1,146 |
#! /bin/bash
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
########################################################################
#
# tests/pk11_gtests/pk11_gtest... | chombourger/efup | external/nss/tests/pk11_gtests/pk11_gtests.sh | Shell | mpl-2.0 | 2,411 |
useradd vagrant -u 5000 -m -d /home/vagrant
echo "Defaults !requiretty
vagrant ALL=(ALL) NOPASSWD:ALL" > /etc/sudoers.d/90-vagrant
chmod 0440 /etc/sudoers.d/90-vagrant
sed -i -r 's/.*UseDNS.*/UseDNS no/' /etc/ssh/sshd_config
mkdir -p /root/.ssh
cat /root/vagrant_pub_key >> /root/.ssh/authorized_keys
chown -R root: /r... | jistr/vagrant-libvirt-image-tools | files/prepare_vm.sh | Shell | agpl-3.0 | 585 |
#!/bin/bash
# Definitions
readonly SCRIPT_DIR=`dirname $0`
readonly ARGC="$#"
# First, try to set up env
if [ -f "${SCRIPT_DIR}/CloudGateway_env.sh" ]; then
. "${SCRIPT_DIR}/CloudGateway_env.sh"
else
echo "Unable to find Cloud Gateway environment file, exiting." 1>&2
exit 1
fi
function usage
{
print_... | nuagelabsfr/cloud-gateway | src/scripts/CloudGatewayStatus.sh | Shell | agpl-3.0 | 4,664 |
#!/bin/bash
RSYNC_PASSWORD=$LUG_password rsync -rtlivH --delete-after --delay-updates --safe-links --max-delete=1000 --contimeout=60 $LUG_username@sync.repo.archlinuxcn.org::repo $LUG_path
| sjtug/mirror-docker | lug/worker-script/archlinux-cn.sh | Shell | agpl-3.0 | 190 |
# copy cloudbrain to vagrant home
vagrant scp ../../../cloudbrain :/Users/vagrant/.
# Build popy in VM
vagrant ssh -c "cd /Users/vagrant/cloudbrain/scripts/osx && ./build-popy.sh"
# Copy popy.tar.gz
rm popy.tar.gz
vagrant scp :/Users/vagrant/cloudbrain/scripts/osx/popy.tar.gz .
| flysonic10/cloudbrain | .vagrant/osx/vagrant-build-popy.sh | Shell | agpl-3.0 | 281 |
#!/bin/bash
# symulacja formatowania partycji
lista_menu(){
for p in $( fdisk -l 2>/dev/null | grep '^/dev/' | cut -d' ' -f1 ) ; do
echo "TRUE $p "
done
}
menu(){
zenity --title "Formatowanie Dysków" --text "bedzie formacik panie?" \
--width=400 --height=300 \
--list --checklist \
--column="zaznacz" --co... | borzole/borzole | bin/zmkfs.ext3.sh | Shell | lgpl-3.0 | 458 |
#Parameter mapping
#string tmpName
#string tempDir
#string intermediateDir
#string projectVariantCallsSnpEff_Annotated
#string projectVariantCallsSnpEff_SummaryHtml
#string projectBatchGenotypedAnnotatedVariantCalls
#string project
#string logsDir
#string groupname
#string tmpDataDir
#string snpEffVersion
#string jav... | RoanKanninga/NGS_DNA | protocols/SnpEff.sh | Shell | lgpl-3.0 | 1,339 |
#!/bin/bash
#
# Apache License
# Version 2.0, January 2004
# http://www.apache.org/licenses/
#
# TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION
#
# 1. Definitions.
#
# "License" shall mean the terms and conditi... | deleidos/digitaledge-platform | commons-core/src/main/script/boot/apt_mirror_update.sh | Shell | apache-2.0 | 12,672 |
echo "apt-cache search touch | sed 's/^/sudo apt-get install -y -y /g;s/ - / #- /g'
"
sudo apt-get install -y -y gimp #- The GNU Image Manipulation Program
sudo apt-get install -y -y coreutils #- GNU core utilities
sudo apt-get install -y -y libpam0g #- Pluggable Authentication Modules library
sudo apt-get install -... | bayvictor/distributed-polling-system | bin/aptget_touch_support.sh | Shell | apache-2.0 | 1,838 |
cat ./tues-afternoon.bench | awk '{if (length($0) > 0) { print $2"."$4,$8,$10}}' > /tmp/bench.data
cat /tmp/bench.data | awk '{print > $1".dat"}'
| dgraph-io/experiments | intersects/gnuplot/convert.sh | Shell | apache-2.0 | 146 |
# Install puppet agent
yum -y install http://yum.puppetlabs.com/puppetlabs-release-el-6.noarch.rpm
yum -y install puppet-2.7.23-1.el6.noarch
# Prepare puppet configuration file
cat > /bigtop-puppet/config/site.csv << EOF
hadoop_head_node,$1
hadoop_storage_dirs,/data/1,/data/2
bigtop_yumrepo_uri,http://bigtop.s3.amazon... | spotify/bigtop | bigtop-deploy/vm/vagrant-puppet/provision.sh | Shell | apache-2.0 | 458 |
#!/bin/bash
# Copyright 2019 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to... | googleapis/java-accessapproval | .kokoro/continuous/propose_release.sh | Shell | apache-2.0 | 1,189 |
curl -XPUT 'http://192.168.99.100:9200/spark/' -d '{
"settings" : {
"index" : {
"number_of_shards" : 1,
"number_of_replicas" : 0
}
},
"mappings" : {
"netflow": {
"properties": {
"port_src_well_known_service": {
"type":... | faganpe/KafkaStreamingPOC | src/scripts/es/create_index_with_mappings.sh | Shell | apache-2.0 | 6,544 |
#!/bin/bash
#
# Copyright 2016 Pascual Martinez-Gomez
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicabl... | mynlp/ccg2lambda | en/eacl2017exp.sh | Shell | apache-2.0 | 6,306 |
#!/bin/sh
set -e
set -u
set -o pipefail
function on_error {
echo "$(realpath -mq "${0}"):$1: error: Unexpected failure"
}
trap 'on_error $LINENO' ERR
# Used as a return value for each invocation of `strip_invalid_archs` function.
STRIP_BINARY_RETVAL=0
# Strip invalid architectures
strip_invalid_archs() {
binary=... | pili-engineering/PLMediaStreamingKit | Example/Pods/Target Support Files/PLMediaStreamingKit/PLMediaStreamingKit-copy-dsyms.sh | Shell | apache-2.0 | 4,410 |
#!/bin/bash
(python setup.py bdist_wheel;scp dist/mpos-1.0.0-py2-none-any.whl pi@pi:~/mpos.zip; ssh pi@pi 'unzip -uoq mpos.zip'; ssh pi@pi 'chmod +x ~/mpos/web/runprod.sh'; ssh pi@pi '~/mpos/web/runprod.sh';)
| cackharot/ngen-milk-pos | deploy.sh | Shell | apache-2.0 | 209 |
#!/sbin/sh
/sbin/mount -a
chmod -R 0755 /system/bin/0*.sh
chmod -R 0755 /system/bin/9*.sh
chmod 0755 /system/xbin/sqlite3
| AustinCanlin/NDCustomPart3Rom | samsumg/g9200/tomato/tmp/setsh.sh | Shell | apache-2.0 | 127 |
#!/usr/bin/env bash
sh stop.sh
sleep 1
export TF_CONFIG='{"cluster": {"worker": ["localhost:2222"], "ps": ["localhost:2223"], "chief": ["localhost:2224"]}, "task": {"type": "chief", "index": 0}}'
python movielens-100k-estimator.py --mode warmup &
sleep 1
export TF_CONFIG='{"cluster": {"worker": ["localhost:2222"], "... | tensorflow/recommenders-addons | demo/dynamic_embedding/movielens-100k-estimator-with-warmup/warmup_train.sh | Shell | apache-2.0 | 692 |
#!/bin/bash
echo "I am the predeploy script that on the ginux-dev as root"
killall vzcontrol
exit 0 | gamingrobot/ginux | ops/root_predeploy.sh | Shell | apache-2.0 | 99 |
# extract text
$JAVA_BIN -jar $scriptpath"lib/tika-app.jar" -t tmp/$uuid/tmp.cumulative.html > tmp/$uuid/cumulative.txt
echo "completed text extraction from html to tmp/$uuid/cumulative.txt" | tee --append $sfb_log
| fredzannarbor/pagekicker-community | scripts/includes/text-extraction-from-html.sh | Shell | apache-2.0 | 219 |
#!/bin/bash
node ../sElect/tools/config2js.js config.json > webapp/js/config.js configRaw
node ../sElect/tools/config2js.js ../_configFiles_/handlerConfigFile.json > webapp/js/ElectionConfigFile.js electionConfigRaw
node ../sElect/tools/config2js.js ../_configFiles_/serverAddresses.json > webapp/js/serverAddresses.js ... | escapin/ElectionManager | ElectionHandler/refreshConfig.sh | Shell | apache-2.0 | 348 |
# Copyright 2020 Google LLC
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# https://www.apache.org/licenses/LICENSE-2.0
# Unless required by applicable law or agreed to in writing, software... | googleinterns/debaised-analysis | date_detection/test_all.sh | Shell | apache-2.0 | 1,554 |
#!/usr/bin/env bash
docker build --no-cache -t vfetc .
docker run -it --rm -v $(pwd)/data/tmp:/out vfetc files=data/vendor/agilent/batches.zip outputfile=/out/agilent_from_zip.txt && cat data/tmp/agilent_from_zip.txt
docker run -it --rm -v $(pwd)/data/tmp:/out vfetc files=data/vendor/agilent/example_batch1.txt,data/ven... | leidenuniv-lacdr-abs/ms-vfetc | rebuild_and_run.sh | Shell | apache-2.0 | 971 |
cp .theanorc_gpu ~/.theanorc
| erikjandevries/ConfigLM17ML | extra/prep-TheanoForGPU.sh | Shell | apache-2.0 | 30 |
#!/bin/bash
echo "Creating UrbanCode Enterprise Platform Services"
echo "`ls -la`"
cd ./compose/urbancode
docker-compose -f bluemix-compose.yml -p UrbanCodePlatform up -d
| stackinabox/stackinabox.io | scripts/deploy-to-bluemix/deploy_compose.sh | Shell | apache-2.0 | 173 |
#!/usr/bin/env bash
#
# Build script for CircleCi
#
# Inputs:
# CIRCLE_OS_NAME - "linux" or "osx"
# MODE - "static", "dynamic", "windows", "raspberrypi", or "minimal"
#
# Static builds use scripts to download libarchive and libconfuse, so those are
# only installed on shared library builds.
#
set -e
s... | fhunleth/fwup | scripts/ci_build.sh | Shell | apache-2.0 | 2,508 |
pkg_name=libcap-ng
pkg_origin=core
pkg_version=0.7.8
pkg_source=http://people.redhat.com/sgrubb/$pkg_name/$pkg_name-$pkg_version.tar.gz
pkg_shasum=c21af997445cd4107a55d386f955c5ea6f6e96ead693e9151277c0ab5f97d05f
pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>"
pkg_description="The libcap-ng library is inten... | be-plans/be | libcap-ng/plan.sh | Shell | apache-2.0 | 813 |
#!/bin/bash
# Copyright 2020 The FedLearner Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required... | bytedance/fedlearner | deploy/scripts/aliyun/upgrade-add-on.sh | Shell | apache-2.0 | 7,606 |
#!/bin/sh
#
# Purpose:
# Enable Reads on standby (ROS) for Database using HADR.
#
# Usage:
# ThisScript <DbName>
#
# exit: 0
# 1 - Input parameter error.
#
# Notice:
# 1. When calling this script manually by logging as DB2 user.
# a. This is the optional way to do backup temporarily.
# b. It is ok to set up... | djsilenceboy/LearnTest | DB_Test/DB2/HADR/Enable_ROS.sh | Shell | apache-2.0 | 1,417 |
## ======================================================================== ##
## Copyright 2015-2016 Intel Corporation ##
## ##
## Licensed under the Apache License, Version 2.0 (the "License"); ##
## y... | Twinklebear/OSPRay | scripts/release/win.sh | Shell | apache-2.0 | 2,152 |
#/bin/bash
rep="photos/"
cd $rep
JHEAD=jhead
SED=sed
CONVERT=convert
# rotation
jhead -autorot *jpg
jhead -autorot *JPG
#rm small/*JPG
for fichier in `ls *JPG`
do
if [ ! -f ../small/$fichier ]
then
echo "small - "$fichier
convert $fichier -resize 25% ../small/$fichier
fi
if [ ! -f ../too_small/$fichier ]... | julnegre/diapoo | convert.sh | Shell | apache-2.0 | 1,131 |
#!/bin/sh
. ./_project.sh
docker exec -i -t ${DOKER_NAME_PREFIX}redis-cluster redis-cli -p 7000 -c
| dbflute-example/dbflute-example-with-non-rdb | etc/tools/rediscluster/redis-cli.sh | Shell | apache-2.0 | 100 |
jekyll build --destination /vol/websites/sjcom
cpwd=pwd
cd /vol/websites/sjcom
cd publications/
mogrify -resize 200x -format png */*.png
mogrify -resize 200x -format jpg */*.jpg
cd ..
cd images/
mogrify -resize '1000x>' -format png */*.png
mogrify -resize '1000x>' -format jpg */*.jpg
cd ..
git add *
val=date
git commit... | StTu/sjcom | deploy.sh | Shell | apache-2.0 | 355 |
#!/bin/bash
set +x
# Load environment.
. env_openstack.sh
# Install command-line tools.
pip install python-neutronclient python-openstackclient -U
# Import CoreOS / CirrOS images.
cd /tmp
wget http://download.cirros-cloud.net/0.3.3/cirros-0.3.3-x86_64-disk.img
wget https://stable.release.core-os.net/amd64-usr/curre... | stackanetes/stackanetes | demo_openstack.sh | Shell | apache-2.0 | 3,223 |
#!/usr/bin/env bash
export CLASS_NAME="com.splicemachine.tutorials.spark.SparkStreamingKafka"
export APPLICATION_JAR="splice-tutorial-file-spark-2.6.1.1736.jar"
export SPARK_JARS_DIR="${SPARK_HOME}/jars"
CURRENT_IP=$(ifconfig eth0 | grep inet | awk '{print $2}')
SPARK_IMAGE=${SPARK_IMAGE:-"splicemachine/tutorial-spar... | splicemachine/splice-community-sample-code | spark-streaming-splice-adapter/src/main/resources/scripts/run-kafka-spark-streaming.sh | Shell | apache-2.0 | 745 |
#!/bin/sh
set -e
if [ "$1" = "configure" ]; then
if [ ! -f "/etc/orientdb/orientdb-server-log.properties" ]
then
# The configuration file /etc/orientdb/orientdb-server-log.properties does not already exist
cat /usr/share/doc/orientdb/examples/orientdb-server-log.properties.gz | gunzip > /etc/orientdb/orientdb-se... | mav-im/orientdb-debian-packager | debian/postinst.tpl.sh | Shell | apache-2.0 | 2,625 |
#!/bin/bash
sudo rm -rf var/cache/*
sudo rm -rf var/logs/*
sudo rm -rf var/sessions/*
mkdir -p var/cache var/logs var/sessions web/cache
HTTPDUSER=`ps aux | grep -E '[a]pache|[h]ttpd|[_]www|[w]ww-data|[n]ginx' | grep -v root | head -1 | cut -d\ -f1`
if [ "$1" ]; then ME=$1; else ME=`whoami`; fi
sudo setfacl -R -m... | calvera/admingenerator-template | symfony_facl.sh | Shell | apache-2.0 | 526 |
#!/bin/sh
set -o errexit
realpath() {
echo "$(cd "$(dirname "$1")"; pwd)/$(basename "$1")"
}
DOCKER_DIR=$(dirname $(dirname $(realpath $0)))
PROJECT_DIR=$(dirname $DOCKER_DIR )
SCRATCH_DIR="$HOME/.heron-docker"
cleanup() {
if [ -d $SCRATCH_DIR ]; then
echo "Cleaning up scratch dir"
rm -rf $SCRATCH_DIR
... | streamlio/heron | docker/scripts/ci-docker.sh | Shell | apache-2.0 | 3,729 |
#!/bin/bash
PWD=`pwd`
export LD_LIBRARY_PATH=$PWD/../../../../bin/libiio/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$PWD/../../../../lib:$LD_LIBRARY_PATH
| excess-project/monitoring-agent | src/plugins/c/acme/setenv.sh | Shell | apache-2.0 | 155 |
#!/bin/bash
#
# Downloads the eduGAIN metadata aggregate
#
# NB: a HEAD request gets a "HTTP/1.1 405 Method Not Allowed"
# Tomasz suggested http://mds.edugain.org/feed-sha256.xml
#
# Configuration options:
DIRECTORY='/home/astuart4/eduGAIN/'
eduGAIN='http://mds.edugain.org/feed-sha256.xml'
eduGAINtest='http://mds-test.... | alexstuart/ukftools | geteduGAIN.sh | Shell | apache-2.0 | 538 |
#!/usr/bin/env bash
#
# Simple utility that uses ssh to check, run or kill the logger script
# on every node of the cluster.
# Automatically obtains the cluster nodes and writes them to a hostsfile.
# NOTE: Runs in sequence not in paralell.
#
#
# EXAMPLES:
#
# Runs 3 busybox containers per each node.
# export TIME... | hroyrh/svt | logging_metrics_performance/enterprise_logging/test/manage_pods.sh | Shell | apache-2.0 | 3,905 |
#!/bin/bash -eu
# Copyright 2016 The Bazel Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required... | meteorcloudy/bazel | src/main/native/windows/build_windows_jni.sh | Shell | apache-2.0 | 4,455 |
#set JAVA_HOME
echo "Exporting JAVA_HOME path after JAVA's JRE 1.7 was installed !"
export JAVA_HOME=/usr/lib/jvm/jre-1.7.0-openjdk.x86_64
sudo echo "export JAVA_HOME=/usr/lib/jvm/jre-1.7.0-openjdk.x86_64" >> /etc/environment
sudo echo "Saving JAVA_HOME variable so it doesn't get affected from system REBOOT !"
sudo ec... | krakky/market | coopr_standalone/bin/centos/3_set_java_home.sh | Shell | apache-2.0 | 585 |
#!/bin/bash
set -e
export PATH='/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin'
source /var/tmp/helpers/default.sh
readonly DOCKER_FILES='/var/tmp/docker'
readonly UBUNTU_RELEASE=$(detect_ubuntu_release)
readonly UBUNTU_VERSION=$(detect_ubuntu_version)
readonly AMAZON_EC2=$(detect_amazon_ec2 && echo... | kwilczynski/packer-templates | scripts/common/docker.sh | Shell | apache-2.0 | 8,760 |
#!/bin/bash
CUR_DIR=`pwd`
APP_DIR=`dirname $0`
HIVE_USER=$USER
. $APP_DIR/bee-env.sh
TARGET_ENV=$1
if [ "$TARGET_ENV" == "" ]; then
. $APP_DIR/beepass-default.sh
else
if [ -f $APP_DIR/beepass-$TARGET_ENV.sh ]; then
. $APP_DIR/beepass-$TARGET_ENV.sh
else
echo "Create a 'beepass-<target>.... | dstreev/hdp-mac-utils | bin/beewrap.sh | Shell | apache-2.0 | 847 |
#!/bin/bash
set -e
export PROJECT_NAME=async.single
| codetojoy/gists | csharp/async.single/setvars.sh | Shell | apache-2.0 | 56 |
#!/bin/bash
BASE_DIR=$(dirname $0)
#source $BASE_DIR/../bin/setenv.sh
#$SPARK_HOME/bin/spark-shell --master yarn --deploy-mode client
spark-shell --master yarn --deploy-mode client
| zhuwbigdata/hadoop-admin-utils | spark-utils/yarnClientSparkShell.sh | Shell | apache-2.0 | 183 |
sudo apt-get install -y --force-yes libirrlicht-dev #- High performance realtime 3D engine development library
sudo apt-get install -y --force-yes libirrlicht-doc #- High performance realtime 3D engine (API documentation)
sudo apt-get install -y --force-yes libirrlicht1.7a #- High performance realtime 3D engine
s... | bayvictor/distributed-polling-system | bin/install_3d_editor.sh | Shell | apache-2.0 | 887 |
set -e
while [ true ]
do
echo .
csmith > test.c;
clang -I${CSMITH_PATH}/runtime -O3 -w test.c -o /dev/null;
gcc -I${CSMITH_PATH}/runtime -O3 -w test.c -o /dev/null;
done
| ChrisLidbury/CLSmith | scripts/driver0.sh | Shell | bsd-2-clause | 178 |
#!/bin/bash
# - must have Cython installed
# - must have already run:
# mkdir cbuild
# (cd cbuild && cmake .. && make -j 4 )
# - torch is expected to be already activated, ie run:
# source ~/torch/install/bin/torch_activate.sh
# ... or similar
# - torch is expected to be at $HOME/torch
export TORCH_INST... | hughperkins/pytorch | build.sh | Shell | bsd-2-clause | 1,284 |
#!/bin/bash -xeE
TOOLS_BASE_PATH=$1
. ./env.sh
rm -Rf $DISTR_PATH
mkdir -p $DISTR_PATH
wget -P $DISTR_PATH $M4_URL
wget -P $DISTR_PATH $AUTOCONF_URL
wget -P $DISTR_PATH $AUTOMAKE_URL
wget -P $DISTR_PATH $LIBTOOL_URL
# Use as much processors
# as we can to speedup
NPROC=`nproc`
export MAKE_JOBS=$NPROC
. ./env.sh... | artpol84/slurm-pmix-test | prepare_host/prepare_tools/prepare.sh | Shell | bsd-3-clause | 946 |
#!/usr/bin/env bash
#
# Generate src/builtin_table.c
#
PROJECT_ROOT=$(dirname "$(dirname "$(realpath "$0")")")
cd "$PROJECT_ROOT" || exit
SRCDIR=$PROJECT_ROOT/src
GENERATE=$SRCDIR/generate-builtin-table
if [ ! -x "$GENERATE" ] ; then
echo "please build $GENERATE first"
exit 1
fi
cp "$SRCDIR"/builtin_table.c.in "$... | dharple/detox | bin/generate-builtin.sh | Shell | bsd-3-clause | 526 |
#!/bin/bash
#
# This script is designed to be as platform independent as possible. It does
# final preparations to run the platform specific test cases of CernVM-FS and
# invokes a platform dependent script to steer the actual test session
#
usage() {
local error_msg=$1
echo "$error_msg"
echo
echo "Mandatory... | cernvm/ci-scripts | cvmfs/cloud_testing/remote_gcov_run.sh | Shell | bsd-3-clause | 2,463 |
#! /bin/bash -e
function sbt211() {
sbt 'set scalaVersion := "2.11.0-RC3"' 'set scalaBinaryVersion := scalaVersion.value' $@
return $?
}
die () {
echo "$@"
exit 1
}
CHECK=";clean;test;publishLocal"
RELEASE=";clean;test;publish"
VERSION=`gsed -rn 's/version :=.*"(.+).*"/\1/p' build.sbt`
[[ -n "$(git status --p... | retronym/scala-java8-compat | release.sh | Shell | bsd-3-clause | 730 |
#!/bin/sh
#
# Copyright (c) 2017, Caoimhe Chaos <caoimhechaos@protonmail.com>.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyrigh... | tonnerre/dockerfiles | db/postgresql/pg_config.sh | Shell | bsd-3-clause | 6,331 |
curl -s https://raw.github.com/netkiller/shell/master/centos6.sh | bash
curl -s https://raw.github.com/netkiller/shell/master/modules/ntp.sh | bash
curl -s https://raw.github.com/netkiller/shell/master/filesystem/btrfs.sh | bash
curl -s https://raw.github.com/netkiller/shell/master/nginx/nginx.sh | bash
curl -s https:/... | junun/shell | linux/node.nginx.sh | Shell | bsd-3-clause | 453 |
node LicenseCheck.js | Ehryk/MNLicenseCheck | run.sh | Shell | bsd-3-clause | 20 |
#!/bin/bash
root="${1%/}/"
n=1
leadingchas() {
for ((i=0; i<$n; i++))
do
echo -n " "
done
}
recursiverm() {
((n++))
for d in *; do
if [ -d $d ]; then
(leadingchas)
echo "<folder name='$d'>"
(cd $d; recursiverm)
(leadingchas)
echo "</folder>"
else
x="`pwd`/$d"... | abstools/easyinterface | server/config/envisage/offlineabsexamples.sh | Shell | bsd-3-clause | 652 |
#!/bin/bash
#input
set -xv
debug=1
USAGE='usage: sh $1 $2 ;'\
'$1: is value of [1,2] create file or directory '\
'$2: is number '
echo $USAGE
echo $0
echo $1
echo $2
echo $#
if [ $# -eq 2 ]
| 1GHL/2013y | exercise/816/create_file.sh | Shell | bsd-3-clause | 194 |
#!/bin/sh -x
set -e
f=/tmp/sedcmd_
echo -n "sed -i '\
s:__cdecl: /*__cdecl*/:;\
s:__stdcall: /*__stdcall*/:;\
s:__usercall: /*__usercall*/:;\
s:__userpurge: /*__userpurge*/:;\
s:__thiscall: /*__thiscall*/:;\
s:__fastcall: /*__fastcall*/:;\
s:\(<[^<> ]*>\):/*\1*/:g;\
' $1" > $f
. $f
| notaz/ia32rtools | run_idac_adj.sh | Shell | bsd-3-clause | 285 |
#!/bin/bash -e
PLUGIN=mtc.lv2
GIT_URI="https://github.com/BlokasLabs/${PLUGIN}"
TMP_DIR=/tmp/${PLUGIN}
rm -rf ${TMP_DIR}
git clone --depth 1 ${GIT_URI} ${TMP_DIR}
pushd ${TMP_DIR}
export CC=arm-linux-gnueabihf-gcc
export CXX=arm-linux-gnueabihf-g++
export LD=arm-linux-gnueabihf-gcc
export STRIP=arm-linux-gnueabihf-s... | BlokasLabs/modep | stage5/17-mtc/01-run-chroot.sh | Shell | bsd-3-clause | 459 |
#!/bin/bash
set -v
set -e
# This script is intended to be run INSIDE the docker container, and
# if all goes to plan, the _build/html folder should contain the contents
# of the build
# Turn on our conda environment
source activate docs
# Try to install dependencies on the fly, or rely on the existing environment
#... | henningjp/CoolProp | Web/docker/build_docs.sh | Shell | mit | 1,061 |
#!/bin/bash
set -e
cd "$(dirname "$0")"
git clean -f -d -x app web
echo ">> Prepare parameters.yml"
touch app/config/parameters.yml
if [ ! -f composer.phar ]; then
echo ">> Download composer"
curl -s http://getcomposer.org/installer | php
fi
echo ">> Install dependencies"
php composer.phar install --optimiz... | MCHacker/git | pack.sh | Shell | mit | 857 |
babel packages/core/src/ -d packages/core/lib/ &
babel packages/plugin-knex/src/ -d packages/plugin-knex/lib/ &
babel packages/plugin-scaffold/src/ -d packages/plugin-scaffold/lib/ &
wait
echo "Done" | aewing/mason | scripts/build.sh | Shell | mit | 201 |
fails=0
n=0
sdate=$(date +"%s")
for t in test/*-test.js; do
echo -e "\n[ Bop" $t "]\n"
node $t || let fails++
let n++
done
edate=$(date +"%s")
etime=$[ $edate-$sdate ]
echo -e "\n" $n "test files executed ("$etime"s):"
echo -e " tests passed:" $[ $n - $fails ] 'files.'
echo -e " tests failed:" $fails 'files.\n'
e... | beni55/bop | test/run.sh | Shell | mit | 331 |
#!/bin/bash
set -e
upstreamCommit="$1"
dayVersion="${2:-1}"
if [ -z "$upstreamCommit" ]; then
echo >&2 "usage: $0 commit [day-version]"
echo >&2 " ie: $0 8d849acb"
echo >&2 " ie: $0 upstream # to tag the latest local upstream commit"
echo >&2 " ie: $0 upstream 2 # to tag a second commit in the same day"
ec... | tianon/debian-golang-pty | debian/helpers/create-upstream-tag.sh | Shell | mit | 1,391 |
#!/bin/sh
python -m tensorflow.models.image.mnist.convolutional
| cncgl/ML-sandbox | tensorflow-nmist.sh | Shell | mit | 64 |
#!/usr/bin/env bash
set -e
mkdir -p $HOME/.ethash
# this will generate the DAG once, travis is configured to cache it and
# subsequent calls will not regenerate
geth makedag 0 $HOME/.ethash
| tomaaron/raiden | .travis/make_dag.sh | Shell | mit | 193 |
#!/bin/bash
FN="simpIntLists_1.20.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.9/data/experiment/src/contrib/simpIntLists_1.20.0.tar.gz"
"https://bioarchive.galaxyproject.org/simpIntLists_1.20.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-simpintlists/bioconductor-simpintlists_1.20.0_s... | jerowe/bioconda-recipes | recipes/bioconductor-simpintlists/post-link.sh | Shell | mit | 1,430 |
#! /bin/sh
# Copyright (C) 2010-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | kuym/openocd | tools/automake-1.15/t/configure.sh | Shell | gpl-2.0 | 1,785 |
#!/bin/sh
# Copyright (C) 2007-2008 Red Hat, Inc. All rights reserved.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License v.2.
#
# You should have received a copy of the GNU General Public L... | michael42/dmcrypt-static-android | test/shell/vgmerge-operation.sh | Shell | gpl-2.0 | 2,299 |
#!/bin/bash
#
# Start the simulation
#
# Be sure to create a Makefile first and compile all Verilog and VHDL files.
#
vsim -t ps -voptargs=+acc MAX6682_tb_verilog_cfg -do "do wave-app.do ; run -all"
| hansiglaser/chll | examples/wsn-soc/apps/max6682/sim-yosys/sim.sh | Shell | gpl-2.0 | 200 |
#!/bin/sh
# Copyright (C) 2010 Red Hat, Inc. All rights reserved.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License v.2.
#
# You should have received a copy of the GNU General Public Licens... | shehbazj/DyRe | test/shell/lvcreate-mirror.sh | Shell | gpl-2.0 | 1,521 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2008-2017 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | fasterthanlime/tup-fuseless | test/t5005-hard-link.sh | Shell | gpl-2.0 | 1,110 |
#!/bin/sh
set -e
set -x
# TODO: This isn't ideal.
cd externals
git clone https://github.com/MerryMage/ext-boost
git clone https://github.com/yuzu-emu/unicorn
cd unicorn
UNICORN_ARCHS=aarch64 ./make.sh
cd ../..
mkdir -p $HOME/.local
curl -L https://cmake.org/files/v3.8/cmake-3.8.0-Linux-x86_64.tar.gz \
| tar -xz ... | DaMan69/dynarmic | .travis/test-a64-on-x86_64-linux/deps.sh | Shell | gpl-2.0 | 357 |
#!/bin/sh
exec </dev/console >/dev/console 2>&1
set -x
export PATH=/sbin:/bin:/usr/sbin:/usr/bin
export TERM=linux
export PS1='nbdtest-server:\w\$ '
stty sane
echo "made it to the rootfs!"
echo server > /proc/sys/kernel/hostname
wait_for_if_link() {
local cnt=0
local li
while [ $cnt -lt 600 ]; do
l... | yuwata/dracut | test/TEST-40-NBD/server-init.sh | Shell | gpl-2.0 | 1,587 |
export PATH=$PATH:/home/xpaum/android/gcc-linaro-4.7/bin
make ARCH=arm CROSS_COMPILE=arm-eabi-
| xpaum/kernel_stock_g3815 | kernel.sh | Shell | gpl-2.0 | 96 |
process_id=$$
x=`ps -ef|awk '{if($2!="'$process_id'")print}'|grep "cross_process_bidata"|grep -v grep|wc -l|awk '{print $1}'`
if [[ "$x" -gt 1 ]];then
#echo "waiting for another process"
#echo "$x"
exit
fi
if [[ -f ~/.bash_profile ]];then
. ~/.bash_profile
elif [[ -f ~/.profile ]];then
. ~/.profile
fi
cd /home/or... | lyalls/SmartMON | monitor/other_code/ruei_cross/cross_process_bidata_dumpdata.sh | Shell | gpl-3.0 | 6,185 |
#
# prepare stuff for Galaxy 7
#
COPY_AS_IS+=( "${COPY_AS_IS_GALAXY7[@]}" )
COPY_AS_IS_EXCLUDE+=( "${COPY_AS_IS_EXCLUDE_GALAXY7[@]}" )
PROGS+=( chgrp touch )
# include argument file if specified
if test "$GALAXY7_Q_ARGUMENTFILE" ; then
COPY_AS_IS+=( "$GALAXY7_Q_ARGUMENTFILE" )
fi
| gozora/rear | usr/share/rear/prep/GALAXY7/default/400_prep_galaxy.sh | Shell | gpl-3.0 | 285 |
#!/bin/sh
wget https://github.com/jacobalberty/root-ro/raw/master/root-ro
wget https://github.com/jacobalberty/root-ro/raw/master/raspi-gpio
chmod 0755 root-ro
chmod 0755 raspi-gpio
sudo mv root-ro /etc/initramfs-tools/scripts/init-bottom
sudo mv raspi-gpio /etc/initramfs-tools/hooks
echo overlay | sudo tee --app... | tomeshnet/prototype-cjdns-pi | contrib/ramdisk-overlay/raspbian.sh | Shell | gpl-3.0 | 718 |
#!/bin/bash
#controllo se esiste la directory "uomo" e quindi se la risposta al quesito del governatore è giusta o no
ok()
{
cat ../.settings/$GAME/testi_livello_3/ok
cp ../.settings/$GAME/testi_livello_4/leggimi.txt ../livello_4/leggimi.txt
if [ $GAME == "monkey_island" ] ; then
PAROLA='banana'
RISPOSTA='monkey... | BitPrepared/Mayalinux | .game/livello_3/azione.sh | Shell | gpl-3.0 | 3,334 |
#!/bin/bash
for r in */
do
if [[ -d "$r/dot_git" && -L "$r/.git" ]]
then
echo "unlink $r"
rm "$r/.git"
fi
done
| mpdeimos/git-repo-zipper | test-data/unlink.sh | Shell | gpl-3.0 | 119 |
#!/bin/bash
# set -x
if [ ! -v tree ] ; then
# you must set the location of the cMIPS root directory in the variable tree
# tree=${HOME}/cMIPS
# export tree="$(dirname "$(pwd)")"
export tree="$(echo $PWD | sed -e 's:\(/.*/cMIPS\)/.*:\1:')"
fi
# path to cross-compiler and binutils must be set to your instal... | rhexsel/cmips | cMIPS/bin/elf2mif.sh | Shell | gpl-3.0 | 2,516 |
#!/bin/sh -e
# creates SLHA output files for all SLHA input files in the directory
# model_files/ (and sub-directories) that begin with LesHouches.in. .
# The names of the output files will begin with LesHouches.out. .
# Author: Alexander Voigt
# directory of this script
BASEDIR=$(dirname $0)
HOMEDIR=$(readlink -f "... | Expander/FlexibleSUSY | release/generate-slha-output.sh | Shell | gpl-3.0 | 3,593 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 2/logs/w-08_2/20170118T133145+0000/00/00/sessioncompute_1_ID0000004.sh | Shell | gpl-3.0 | 1,228 |
################################################################################
# Add user packages to RPM database after update
################################################################################
cernvm_start() {
if ls /var/lib/cernvm-update/run/*.rpm >/dev/null 2>&1; then
echo
for PKG in /va... | cernvm/cernvm-config | etc/cernvm/cernvm.d/S90reinstallpackages.sh | Shell | gpl-3.0 | 568 |
#!/bin/sh
mkdir /etc/ssl/private-copy; mv /etc/ssl/private/* /etc/ssl/private-copy/; rm -r /etc/ssl/private; mv /etc/ssl/private-copy /etc/ssl/private; chmod -R 0700 /etc/ssl/private; chown -R postgres /etc/ssl/private
sudo -u postgres /usr/lib/postgresql/9.4/bin/postgres -D /var/lib/postgresql/9.4/main -c config_file=... | Terry-Weymouth/transmart-docker | 1.2.4/embedded/start-postgres.sh | Shell | gpl-3.0 | 361 |
#!/bin/sh
# generates dbdriver.h
tmp=mk_dbdriver_h.tmp.$$
cat <<'EOT'> dbdriver.h
/* this file was automatically generated by ../mk_dbdriver_h.sh */
#ifndef DBDRIVER_H
#define DBDRIVER_H
#include <grass/dbstubs.h>
EOT
grep -h '^\( *int *\)\?db__driver' *.c | sed \
-e 's/^\( *int *\)*/int /' \
-e 's/ *(.*$/();/' >... | AsherBond/MondocosmOS | grass_trunk/db/drivers/mk_dbdriver_h.sh | Shell | agpl-3.0 | 541 |
#!/bin/bash -e
echo "${NODE}.${duration} sleep: ${duration} sec"
/bin/sleep $duration
| alien4cloud/samples | org/alien4cloud/mock/jobs/scripts/operation.sh | Shell | apache-2.0 | 86 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.